{% block content_extension %}
// Стили подсветки
var styleSheetId = 'declaration-list-highlight';
Ext.util.CSS.createStyleSheet('\
    .changes-highlighted-row {color: blue;} \
    .without-dou-highlight-row {color: #FF6666;} \
    .highlighted-row-green {color: #2d862d;}', styleSheetId);
// Удаление стилей при закрытии окна
win.on("beforeclose", function () {
    Ext.util.CSS.removeStyleSheet(styleSheetId)
});

/*
Обработка чекбокса отображения только заявок на подтверждение
*/
var needConfirmationOnly = Ext.getCmp('{{ component.need_confirmation_only.client_id}}');

needConfirmationOnly.on('check', showNeedConfirmationOnly);

function showNeedConfirmationOnly(){
    store.baseParams['need_confirmation_only']=needConfirmationOnly.getValue() ? 1 : 0;
    win.grid.refreshStore();
}

// Подсветка синим заявлений с необработанными изменениями ЕПГУ
// Подсветка красным заявлений без ЖУ
// Порядок проверок важен - если заявление без ЖУ и имеет
// необработанные изменения то оно должно подсвечиваться синим
// ВНИМАНИЕ: Если меняется цвет подсветки или проверки
// внеси изменения и в основной код ЭДС, шаблон declaration-list.js
function highlightRow(record, index, params) {
    highlightColor = null;
    if (record.json['expired_health_date']) {
        highlightColor = 'highlighted-row-green';
    }
    if (record.json['without_dou']) {
        highlightColor = 'without-dou-highlight-row';
    }
    if (record.json['changes_await']) {
        highlightColor = 'changes-highlighted-row';
    }
    return highlightColor
}

{% endblock %}
